aboutsummaryrefslogtreecommitdiff
path: root/git-clone.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2005-10-17 21:47:06 -0700
committerJunio C Hamano <junkio@cox.net>2005-10-17 21:47:06 -0700
commitcdb3950801fec8e9efa1607093a6e51737bacba0 (patch)
tree3194f5072432ceacf766c450e663900fabc074ac /git-clone.sh
parent508c1d1c9b13f53783d024ccb28f77d0e6f10e7f (diff)
downloadgit-cdb3950801fec8e9efa1607093a6e51737bacba0.tar.gz
git-cdb3950801fec8e9efa1607093a6e51737bacba0.tar.xz
Forward port the "funny ref avoidance" in clone and fetch from maint branch.
Somehow I forgot to forward port these fixes. "git clone" from a repository prepared with the latest update-server-info would fail without this patch. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-clone.sh')
-rwxr-xr-xgit-clone.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/git-clone.sh b/git-clone.sh
index 71431319c..18e692a67 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -53,7 +53,11 @@ Perhaps git-update-server-info needs to be run there?"
while read sha1 refname
do
name=`expr "$refname" : 'refs/\(.*\)'` &&
- git-http-fetch -v -a -w "$name" "$name" "$1/" || exit 1
+ case "$name" in
+ *^*) ;;
+ *)
+ git-http-fetch -v -a -w "$name" "$name" "$1/" || exit 1
+ esac
done <"$clone_tmp/refs"
rm -fr "$clone_tmp"
}